package smart_gs.transcription_tool.tesseract;


public abstract class HocrElement {
	
	protected String id;
	
	protected BBox bbox;
	
	abstract public String getText();

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public BBox getBbox() {
		return bbox;
	}

	public void setBbox(BBox bbox) {
		this.bbox = bbox;
	}
	
	public abstract String toHtmlElem ();
	
}
